#-----------------------------------------------------------------
#
# File: QAR_PATH.pm
#
# Copyright 2009 Programming Research Ltd
#
# Version: 1.0
#
# Written: C Waddingham, 30-October-2009
#
# Purpose: 
#
#-----------------------------------------------------------------

#-- package QAR_PATH: --------------------------------------------

package QAR_PATH;

BEGIN
{
   require QAR_UTIL;
   require QAR_OPT;
   require QAR_CMAF_DIR;

   use strict;
   use integer;

   our $prdf = "prdf";
   our $default_user_reports = "default_user_reports";
   our $standard_reports = "standard_reports";
}

#-------------------------------------------------------------------

sub REPORT_TEMPLATE_XML_FILENAME
{
   # Usage: $filename = REPORT_TEMPLATE_XML_FILENAME();
   #
   return QAR_OPT::REPORT_TYPE() . ".template.xml";
}

#-------------------------------------------------------------------

sub REPORT_TEMPLATE_XML_FILEPATH
{
   # Usage: $filename = REPORT_TEMPLATE_XML_FILEPATH();
   #
   return QAR_OPT::USER_REPORTS_DIR() .
          REPORT_TEMPLATE_XML_FILENAME();
}

#-------------------------------------------------------------------

sub QAR_PROPERTIES_FILEPATH
{
   # Usage: $path = QAR_PROPERTIES_FILEPATH();
   #
   return QAR_CMAF_DIR::QAR_HOME_DIR() . ".qar.properties";
}

#-------------------------------------------------------------------

sub STANDARD_REPORTS_DIR
{
   # Usage: $dir = STANDARD_REPORTS_DIR();
   #
   return QAR_UTIL::APPLY_FINAL_SEP( QAR_CMAF_DIR::QAR_HOME_DIR() ) . 
             $standard_reports;
}

# ----------------------------------------------------------------

sub QAR_PRDF_BIN_DIR
{
   # Usage: $dir = QAR_PRDF_BIN_DIR();
   #
   return QAR_CMAF_DIR::QAR_HOME_DIR() .
          QAR_UTIL::APPLY_FINAL_SEP( $prdf ) .
          QAR_UTIL::APPLY_FINAL_SEP( "bin" );
}

#-- eof QAR_PATH.pm ------------------------------------------------

1
